> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rag.now/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all web crawl jobs



## OpenAPI

````yaml get /api/connect/crawling/jobs
openapi: 3.0.3
info:
  title: Graphite API Documentation
  description: API documentation for Graphite
  version: 1.0.0
servers: []
security: []
paths:
  /api/connect/crawling/jobs:
    get:
      tags:
        - web crawl
      summary: Get all web crawl jobs
      parameters:
        - schema:
            type: number
          in: query
          name: page
        - schema:
            type: number
          in: query
          name: limit
        - schema:
            type: string
            enum:
              - idle
              - cancelled
              - completed
              - failed
              - scraping
          in: query
          name: status
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantCrawlJobListShape'
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    TenantCrawlJobListShape:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/TenantCrawlJobShape'
        total:
          type: number
        page:
          type: number
        limit:
          type: number
        totalPages:
          type: number
      required:
        - data
        - total
        - page
        - limit
        - totalPages
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
        - message
    TenantCrawlJobShape:
      type: object
      properties:
        id:
          type: string
        graphite_project_id:
          type: string
        url:
          type: string
        status:
          type: string
          enum:
            - idle
            - cancelled
            - completed
            - failed
            - scraping
        created_at:
          type: string
        updated_at:
          type: string
        completed_at:
          type: string
          nullable: true
        completed_pages:
          type: number
          nullable: true
        error_message:
          type: string
          nullable: true
        total_pages:
          type: number
          nullable: true
        tenant_id:
          type: string
      required:
        - id
        - graphite_project_id
        - url
        - status
        - created_at
        - updated_at
        - completed_at
        - completed_pages
        - error_message
        - total_pages
        - tenant_id

````